libzypp: zypp::resfilter::ByEdition< TCompare > Struct Template Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | List of all members
zypp::resfilter::ByEdition< TCompare > Struct Template Reference

Select ResObject by Edition using TCompare functor. More...

`#include <ResFilters.h>`

Inheritance diagram for zypp::resfilter::ByEdition< TCompare >:
[legend]

## Public Member Functions
| ByEdition (const Edition &edition_r, TCompare cmp_r)
bool | operator() (ResObject::constPtr p) const

## Public Attributes
Edition | _edition
TCompare | _cmp

## Detailed Description

template<class TCompare = CompareByEQ<Edition>>
struct zypp::resfilter::ByEdition< TCompare >

Select ResObject by Edition using TCompare functor.

Selects ResObject if `TCompare( ResObject->edition(), _edition )` is `true`.

// use the convenience funktions to create ByEdition:
byEdition( someedition ); // selects ResObjects with edition == someedition
byEdition( someedition, CompareByGT<Edition>() ) // edition > someedition
zypp::resfilter::byEdition
ByEdition< TCompare > byEdition(const Edition &edition_r, TCompare cmp_r)
Definition: ResFilters.h:227

Definition at line 209 of file ResFilters.h.

## Constructor & Destructor Documentation

## ◆ ByEdition()

template<class TCompare = CompareByEQ<Edition>>

zypp::resfilter::ByEdition< TCompare >::ByEdition | ( | const Edition & | edition_r,
|  | TCompare | cmp_r
| ) |  |
| inline

Definition at line 211 of file ResFilters.h.

## Member Function Documentation

## ◆ operator()()

template<class TCompare = CompareByEQ<Edition>>

bool zypp::resfilter::ByEdition< TCompare >::operator() | ( | ResObject::constPtr | p | ) | const
| inline

Definition at line 216 of file ResFilters.h.

## Member Data Documentation

## ◆ _edition

template<class TCompare = CompareByEQ<Edition>>

Edition zypp::resfilter::ByEdition< TCompare >::_edition

Definition at line 221 of file ResFilters.h.

## ◆ _cmp

template<class TCompare = CompareByEQ<Edition>>

TCompare zypp::resfilter::ByEdition< TCompare >::_cmp

Definition at line 222 of file ResFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ResFilters.h